Update an API key
curl --request PATCH \
--url https://api.onkernel.com/org/api_keys/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "new-api-name"
}
'import requests
url = "https://api.onkernel.com/org/api_keys/{id}"
payload = { "name": "new-api-name" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'new-api-name'})
};
fetch('https://api.onkernel.com/org/api_keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "ckv9w8q2f000001l5r3j7k9m4",
"name": "production",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "user-abc123",
"email": "user@example.com",
"name": "Jane Doe"
},
"expires_at": "2023-11-07T05:31:56Z",
"project_id": "proj_abc123",
"project_name": "Production",
"masked_key": "sk_1234...abcd"
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}API Keys
Update an API key
Update an API key’s name.
PATCH
/
org
/
api_keys
/
{id}
Update an API key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
API key ID
Body
application/json
New API key name
Required string length:
1 - 255Example:
"new-api-name"
Response
API key updated
Unique API key identifier
Example:
"ckv9w8q2f000001l5r3j7k9m4"
API key name
Example:
"production"
When the API key was created
Show child attributes
Show child attributes
When the API key expires
Project identifier for project-scoped API keys. Null means org-wide.
Example:
"proj_abc123"
Project name for project-scoped API keys. Null means the key is org-wide or the project name is unavailable.
Example:
"Production"
Masked version of the API key
Example:
"sk_1234...abcd"
⌘I